Page MenuHomePhabricator

Special:GlobalAllocation throws a php fatal "Undefined index: function "
Closed, ResolvedPublic

Event Timeline

Glaisher created this task.Oct 9 2015, 11:26 AM
Glaisher updated the task description. (Show Details)
Glaisher raised the priority of this task from to Needs Triage.
Glaisher added a subscriber: Glaisher.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2015, 11:26 AM
Luke081515 added a subscriber: Luke081515.
Krenair added a subscriber: Krenair.Oct 9 2015, 2:54 PM
2015-10-09 14:52:14 mw1091 metawiki fatal ERROR: [74b544e5] PHP Fatal Error: request has exceeded memory limit {"exception_id":"74b544e5"} 
[Exception ErrorException] (/srv/mediawiki/php-1.27.0-wmf.2/extensions/CentralNotice/special/SpecialGlobalAllocation.php:435) PHP Fatal Error: request has exceeded memory limit
  #0 /srv/mediawiki/php-1.27.0-wmf.2/extensions/CentralNotice/special/SpecialGlobalAllocation.php(435): ()
  #1 /srv/mediawiki/php-1.27.0-wmf.2/extensions/CentralNotice/special/SpecialGlobalAllocation.php(432): SpecialGlobalAllocation::makeCombinations(array, integer)
  #2 /srv/mediawiki/php-1.27.0-wmf.2/extensions/CentralNotice/special/SpecialGlobalAllocation.php(432): SpecialGlobalAllocation::makeCombinations(array, integer)
  #3 /srv/mediawiki/php-1.27.0-wmf.2/extensions/CentralNotice/special/SpecialGlobalAllocation.php(432): SpecialGlobalAllocation::makeCombinations(array, integer)
  #4 /srv/mediawiki/php-1.27.0-wmf.2/extensions/CentralNotice/special/SpecialGlobalAllocation.php(344): SpecialGlobalAllocation::makeCombinations(array, integer)
  #5 /srv/mediawiki/php-1.27.0-wmf.2/extensions/CentralNotice/special/SpecialGlobalAllocation.php(265): SpecialGlobalAllocation->analyzeGroupings()
  #6 /srv/mediawiki/php-1.27.0-wmf.2/extensions/CentralNotice/special/SpecialGlobalAllocation.php(215): SpecialGlobalAllocation->showList()
  #7 /srv/mediawiki/php-1.27.0-wmf.2/includes/specialpage/SpecialPage.php(384): SpecialGlobalAllocation->execute(NULL)
  #8 /srv/mediawiki/php-1.27.0-wmf.2/includes/specialpage/SpecialPageFactory.php(553): SpecialPage->run(NULL)
  #9 /srv/mediawiki/php-1.27.0-wmf.2/includes/MediaWiki.php(249): SpecialPageFactory::executePath(Title, RequestContext)
  #10 /srv/mediawiki/php-1.27.0-wmf.2/includes/MediaWiki.php(662): MediaWiki->performRequest()
  #11 /srv/mediawiki/php-1.27.0-wmf.2/includes/MediaWiki.php(475): MediaWiki->main()
  #12 /srv/mediawiki/php-1.27.0-wmf.2/index.php(41): MediaWiki->run()
  #13 /srv/mediawiki/w/index.php(3): include(string)
  #14 {main}

@Krenair Is that related to this error? I don't see "Undefined index" there. (There's another old report about OOMs on this page as well).

@Krenair Is that related to this error? I don't see "Undefined index" there. (There's another old report about OOMs on this page as well).

I know it's weird, but this is the error that comes up in fatal.log when I browse to the page... The page shows "Undefined index: function".

Ah, and this in hhvm.log: Oct 9 14:52:14 mw1091: #012Notice: Undefined index: function in /srv/mediawiki/php-1.27.0-wmf.2/includes/exception/MWExceptionHandler.php on line 386

Can you link to the OOM report?

Why is it fatalling for undefined index? Shouldn't it be a php notice? :/

Can you link to the OOM report?

{T55443}

Ah, and this in hhvm.log: Oct 9 14:52:14 mw1091: #012Notice: Undefined index: function in /srv/mediawiki/php-1.27.0-wmf.2/includes/exception/MWExceptionHandler.php on line 386

So it's not actually a fatal.. Why does the error page say it's a fatal..?

Change 244712 had a related patch set uploaded (by Alex Monk):
Handle $frame['function'] not being set in stack frames

https://gerrit.wikimedia.org/r/244712

Krenair added a comment.EditedOct 9 2015, 5:42 PM

Why is it fatalling for undefined index? Shouldn't it be a php notice? :/

The code handling the error page (hhvm-fatal-error.php in operations/mediawiki-config) looks for the last error and displays that. But in this case, we have two errors: the fatal, and then the notice which comes up in the exception handling code for the fatal. So it selects the notice, even though we actually want it to show the fatal.

Change 244712 merged by jenkins-bot:
Handle $frame['function'] not being set in stack frames

https://gerrit.wikimedia.org/r/244712

demon triaged this task as Normal priority.Nov 3 2015, 10:51 PM
demon set Security to None.
Krinkle closed this task as Resolved.Dec 11 2015, 2:37 AM
Krinkle claimed this task.